textures/quark_compet/concrete
{
	qer_editorImage "textures/quark_compet/concrete"
	q3map_baseShader "textures/quark_compet/base_terrain"
	{
		map $lightmap
		RGBGen identity
		tcGen lightmap
	}
	{
		map "textures/quark_compet/concrete"
		RGBGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/quark_compet/dirt
{
	qer_editorImage "textures/quark_compet/dirt.tga"
	q3map_baseShader "textures/quark_compet/base_terrain"
	surfaceParm dirt
	{
		map $lightmap
		RGBGen identity
		tcGen lightmap
	}
	{
		map "textures/quark_compet/dirt.tga"
		RGBGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/quark_compet/grass_2d
{
	qer_editorImage "qer/quark_compet/grass_2d.tga"
	q3map_baseShader "textures/waaat_hidden/base_terrain"
	{
		map "textures/quark_compet/dirt"
	}
	{
		map "textures/quark_compet/grass"
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		RGBGen identity
	}
}

textures/quark_compet/rock
{
	qer_editorImage "textures/quark_compet/rock.tga"
	q3map_baseShader "textures/quark_compet/base_terrain"
	surfaceParm rock
	{
		map $lightmap
		RGBGen identity
		tcGen lightmap
	}
	{
		map "textures/quark_compet/rock.tga"
		RGBGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/quark_compet/sky
{
	skyParms "env/quark_compet/alien" 1024 -
	q3map_lightImage "textures/quark_compet/skybox.tga"
	q3map_sunExt 227 237 254 900 35 50 3 16
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 100 3
	surfaceParm sky
	surfaceParm noImpact
	surfaceParm noLightmap
	surfaceParm noDLight
	noPicMip
	noMipMaps
}

textures/quark_compet/tiles
{
	qer_editorImage "textures/quark_compet/tiles.tga"
	q3map_baseShader "textures/quark_compet/base_terrain"
	surfaceParm rock
	{
		map $lightmap
		RGBGen identity
		tcGen lightmap
	}
	{
		map "textures/quark_compet/tiles.tga"
		RGBGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/quark_compet/water
{
	qer_editorImage "textures/liquids/clear_ripple3.tga"
	qer_trans 0.5
	q3map_globalTexture
	surfaceParm trans
	surfaceParm nonSolid
	surfaceParm water
	cull disable
	deformVertexes wave 64 sin 0.5 0.5 0 0.5
	{
		map "textures/liquids/pool3d_5.tga"
		blendFunc GL_DST_COLOR GL_ONE
		RGBGen identity
		tcMod scale 0.5 0.5
		tcMod transform 1.5 0 1.5 1 1 2
		tcMod scroll -0.05 0.001
	}
	{
		map "textures/liquids/pool3d_6.tga"
		blendFunc GL_DST_COLOR GL_ONE
		RGBGen identity
		tcMod scale 0.5 0.5
		tcMod transform 0 1.5 1 1.5 2 1
		tcMod scroll 0.025 -0.001
	}
	{
		map "textures/liquids/pool3d_3.tga"
		blendFunc GL_DST_COLOR GL_ONE
		RGBGen identity
		tcMod scale 0.25 0.5
		tcMod scroll 0.001 0.025
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		RGBGen identity
	}
}

textures/quark_compet/wood
{
	qer_editorImage "textures/quark_compet/wood"
	q3map_baseShader "textures/quark_compet/base_terrain"
	{
		map $lightmap
		RGBGen identity
		tcGen lightmap
	}
	{
		map "textures/quark_compet/wood"
		RGBGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}